Kinook Software Forums

Kinook Software Forums (http://www.kinook.com/Forum/index.php)
-   [VBP] Third Party Tools (http://www.kinook.com/Forum/forumdisplay.php?f=3)
-   -   Could not load the Visual C++ component VCBuild.exe (http://www.kinook.com/Forum/showthread.php?t=4122)

wrdouglass 08-28-2009 12:44 PM

Could not load the Visual C++ component VCBuild.exe
 
I receiving this message on all of my VS2005 solution build steps now that i have upgraded to VisualBuild 7.2 (I believe i was at 6.6 previously)

The same build script now fails with

c:\kitzion-VS2005\\build\omUtilities\omUtilities.sln.cache(51 91,5): error MSB3411: Could not load the Visual C++ component "VCBuild.exe". If the component is not installed, either 1) install the Microsoft Windows SDK for Windows Server 2008 and .NET Framework 3.5, or 2) install Microsoft Visual Studio 2008.

I am unsure how it decides which MSBUILD - i can see with log command/Detailed logging the following command is being executed

Rebuilding configuration 'Unicode Release|Win32'...
Command: c:\WINDOWS\Microsoft.NET\Framework\v3.5\msbuild.ex e c:\kitzion-VS2005\\build\omUtilities\omUtilities.sln /t:rebuild "/p:Configuration=Unicode Release" /p:Platform=Win32 /v:detailed
c:\WINDOWS\Microsoft.NET\Framework\v3.5\msbuild.ex e c:\kitzion-VS2005\\build\omUtilities\omUtilities.sln /t:rebuild "/p:Configuration=Unicode Release" /p:Platform=Win32 /v:detailed
Microsoft (R) Build Engine Version 3.5.30729.1
[Microsoft .NET Framework, Version 2.0.50727.3082]
Copyright (C) Microsoft Corporation 2007. All rights reserved.


which seems a bit odd (v3.5 rather than v2.0 which is what the solution is built with) ?

Any help would be appreciated - thanks.

-ruddy

wrdouglass 08-28-2009 01:35 PM

additional information
 
I found that a different build machine that does work, with the same solution - but a slightly different build script (though not with respect to this particular solution) does not have the v3.5 .NET installed on it.

both machines have v.2.0.50727

but the machine where the solution fails also has v3.5 on it.

kinook 08-28-2009 03:30 PM

1 Attachment(s)
The Make VS.NET/2005/2008/2010 steps determines the version of msbuild.exe to invoke based on the version of the .sln file being built. Please ZIP and post or send to support@kinook.com:
1) The info from Help | About | Install Info
2) A screen shot of System properties (Windows+Break)
3) The .bld file
4) A build log file
5) The .sln file (no source code files)
6) The output when building the attached project

and we can investigate to see if there is a problem with the logic for matching up versions.

You can also override the default by specifying the full path+exe of the desired msbuild.exe in the Override field on the Options tab.

kinook 08-31-2009 11:21 AM

We did find a bug that could result in the wrong MSBuild.exe getting called when building VS 2005 projects if .NET 2.0 and 3.5 are installed. This is fixed in the latest build (VisBuildDotNET.dll 7.2.0.1 in Help | About | Install Info after installing).

wrdouglass 09-03-2009 09:46 AM

Issue Resolved in VisBuildDotNET.dll 7.2.0.1
 
After downloading and updating the build machine, the script now correctly compiles the VS2005 solutions.

Thanks
-ruddy


All times are GMT -5. The time now is 10:33 PM.


Copyright 1999-2019 Kinook Software, Inc.